Ubuntu

Zeitgeist-daemon memory usage skyrockets after dash search

Reported by Nicolás Abel Carbone on 2011-04-11
270
This bug affects 59 people
Affects Status Importance Assigned to Milestone
Zeitgeist Extensions
Undecided
Unassigned
zeitgeist-extensions (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: zeitgeist

The memory usage of the process "zeitgeist-daemon" goes too high after doing a couple of searches in the Dash.

It is around 16mb on startup, but after using the Dash a couple of time to open some programs, or search for some files, it goes over 200mb, some times even over 300mb. The memory is not freed until restart or the process is killed.

I attach a screenshot of the system monitor, showing Zeitgeist-daemon using over 380mb.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: zeitgeist 0.7.1-1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
Architecture: amd64
Date: Mon Apr 11 13:28:11 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110330)
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=es_AR:en
 LANG=es_AR.UTF-8
 SHELL=/bin/bash
SourcePackage: zeitgeist
UpgradeStatus: Upgraded to natty on 2011-04-06 (4 days ago)

Seif Lotfy (seif) wrote :

Its a bug with the 64-bit version of xapian that is used by zeitgeist-fts-extension
We are looking into that

affects: zeitgeist (Ubuntu) → zeitgeist-extensions (Ubuntu)
Changed in zeitgeist-extensions (Ubuntu):
status: New → Confirmed

Mr. Lotfy, has this bug been looked at for Oneiric? If there's a branch I could test I'd be all up for that. For now I unfortunately cannot boot into Oneiric to see if it is still affecting in the first place.

Hansen (moteprime) wrote :

I have this bug on both my two computers with Natty desktop i386, it is very consistent. If i use dash a couple of times the zeitgeist-daemon memory usage runs very high. 100 - 200+ Mb.
This bug can not be only on 64-bit.

shaheem (ssadien) wrote :

been having the high cpu usage with zeitgeist until current updates (3 sept 2011 0722 SAST). still get high cpu usage for a few minutes then it drops. maybe 5 minutes.

shaheem (ssadien) wrote :

will reboot and time it quickly. im remotely accessing it and using top on different pc.

shaheem (ssadien) wrote :

All seems normal now. been up for 4 minutes. ssh'd into laptop (samsung rv510 - celeron dual, 2gb, intel graphics) before login and zeitgeist-daemon popped up briefly in top and then subsided. seems stable(r) now! Thanks for a great product guys!

Hansen (moteprime) wrote :

I cannot confirm. (Natty desktop i386)
After running several tests (all same results), using dash for 2-3 searches it quickly goes over 100 Mb memory usage, and it does not drop, even after several hours.

selectstar (martinsarsini) wrote :

I am experiencing the same issue on two different machines where the process can use up to 1 GB of RAM

Machine 1
I have installed last week Ubuntu 11.04 64bit on a new machine. I am running the GUI using Unity. However I have noticed that after a short time the process zeitgeist-daemon starts using excessively the machine's memory. Up to 800 - 1000 MB!

Machine 2
This one had Ubuntu 11.04 64bit running without problems for several months with using Gnome. The last few days I have changed to Unity and the exact same problem as above occurs.

I am forced to kill the process otherwise I am unable to keep working with the machines as the process forces the OS to use virtual memory and everything starts to run terribly slowly.

Voidcode (terkelsorensen) wrote :

My Zeitgeist-daemon stop at around 2.9 GB and my computer Can then not move the mouse.
I really hope this bug will be made ​​in Oneiric Ocelot!!

Can everyone affected paste the output of the command 'uname -a' please?

Hansen (moteprime) wrote :

Linux mote 2.6.38-11-generic #50-Ubuntu SMP Mon Sep 12 21:18:14 UTC 2011 i686 athlon i386 GNU/Linux

selectstar (martinsarsini) wrote :

Linux ubuntu-desktop 2.6.38-11-generic #50-Ubuntu SMP Mon Sep 12 21:17:25 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

jordanmoore (madebyjordan) wrote :

Linux jordan-VGN-NR11S-S 2.6.38-11-generic #50-Ubuntu SMP Mon Sep 12 21:18:14 UTC 2011 i686 i686 i386 GNU/Linux

selectstar (martinsarsini) wrote :

This is complete nightmare! it's so hard to be productive at work when this daemon kicks in :(
While waiting for the bug to be fixed, is there any quick-fix? Did anyone of you find a way for disabling this software?

daniela (muench-dani) wrote :

I also had this zeitgeist-daemon memory leak while I was using Natty. When I updated to Oneiric Ocelot, the bug was still there.

So I've uninstalled zeitgeist fts extension and it seems to be fixed, but I noticed I'm not able to search files with Dash now.

I'm using: Linux daniela-desktop 3.0.0-12-generic #20-Ubuntu SMP Fri Oct 7 14:50:42 UTC 2011 i686 i686 i386 GNU/Linux

Daniela,
Rest assured this is one of the things we are working on right now... In a
few days we are releasing a rewrite of Zeitgeist that should fix this issue
:)
Cheers
Seif

2011/10/16 daniela <email address hidden>

> I also had this zeitgeist-daemon memory leak while I was using Natty.
> When I updated to Oneiric Ocelot, the bug was still there.
>
> So I've uninstalled zeitgeist fts extension and it seems to be fixed,
> but I noticed I'm not able to search files with Dash now.
>
> I'm using: Linux daniela-desktop 3.0.0-12-generic #20-Ubuntu SMP Fri Oct
> 7 14:50:42 UTC 2011 i686 i686 i386 GNU/Linux
>
> --
> You received this bug notification because you are subscribed to The
> Zeitgeist Project.
> https://bugs.launchpad.net/bugs/757727
>
> Title:
> Zeitgeist-daemon memory usage skyrockets after dash search
>
> Status in Zeitgeist Extensions:
> New
> Status in “zeitgeist-extensions” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: zeitgeist
>
> The memory usage of the process "zeitgeist-daemon" goes too high after
> doing a couple of searches in the Dash.
>
> It is around 16mb on startup, but after using the Dash a couple of
> time to open some programs, or search for some files, it goes over
> 200mb, some times even over 300mb. The memory is not freed until
> restart or the process is killed.
>
> I attach a screenshot of the system monitor, showing Zeitgeist-daemon
> using over 380mb.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: zeitgeist 0.7.1-1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> Architecture: amd64
> Date: Mon Apr 11 13:28:11 2011
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110330)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=es_AR:en
> LANG=es_AR.UTF-8
> SHELL=/bin/bash
> SourcePackage: zeitgeist
> UpgradeStatus: Upgraded to natty on 2011-04-06 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/zeitgeist-extensions/+bug/757727/+subscriptions
>

Martin Linden (linden) wrote :

Good to know you are on to it. I am also on Oneiric on a eee Netbook.
$ uname -a
Linux meriadoc 3.0.0-12-generic #20-Ubuntu SMP Fri Oct 7 14:50:42 UTC 2011 i686 i686 i386 GNU/Linux

/Martin

selectstar (martinsarsini) wrote :

Still no update on this annoying issue?
For some time I've stopped having the issue as I removed all zeitgeist packages using synaptic. However after a month the daemon got reinstalled by itself. I have solved by removing "again" all zeitgeist packages. However is interested can do the same by marking for removal libzeitgeist, zeitgeist, zeitgeist-datahub, zeitgeist-core, zeitgeist-extension-fts and then applying the changes.
Removing these packages "fixes" the issue and doesn't cause any major issues using Ubuntu.
Of course a proper bug fix would be ideal!

Seif Lotfy (seif) wrote :

Have you tried our latest zeitgeist from our ppa?
We ported to vala and memory should not be an issue there

2011/11/16 selectstar <email address hidden>

> Still no update on this annoying issue?
> For some time I've stopped having the issue as I removed all zeitgeist
> packages using synaptic. However after a month the daemon got reinstalled
> by itself. I have solved by removing "again" all zeitgeist packages.
> However is interested can do the same by marking for removal libzeitgeist,
> zeitgeist, zeitgeist-datahub, zeitgeist-core, zeitgeist-extension-fts and
> then applying the changes.
> Removing these packages "fixes" the issue and doesn't cause any major
> issues using Ubuntu.
> Of course a proper bug fix would be ideal!
>
> --
> You received this bug notification because you are subscribed to The
> Zeitgeist Project.
> https://bugs.launchpad.net/bugs/757727
>
> Title:
> Zeitgeist-daemon memory usage skyrockets after dash search
>
> Status in Zeitgeist Extensions:
> New
> Status in “zeitgeist-extensions” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: zeitgeist
>
> The memory usage of the process "zeitgeist-daemon" goes too high after
> doing a couple of searches in the Dash.
>
> It is around 16mb on startup, but after using the Dash a couple of
> time to open some programs, or search for some files, it goes over
> 200mb, some times even over 300mb. The memory is not freed until
> restart or the process is killed.
>
> I attach a screenshot of the system monitor, showing Zeitgeist-daemon
> using over 380mb.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: zeitgeist 0.7.1-1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> Architecture: amd64
> Date: Mon Apr 11 13:28:11 2011
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110330)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=es_AR:en
> LANG=es_AR.UTF-8
> SHELL=/bin/bash
> SourcePackage: zeitgeist
> UpgradeStatus: Upgraded to natty on 2011-04-06 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/zeitgeist-extensions/+bug/757727/+subscriptions
>

Philip Colfox (philip-uh5) wrote :

I have this very high memory problem on multiple computers. Others are 32 bit, but this one seems to be 64.

Linux ubuntu 3.0.0-16-generic #29-Ubuntu SMP Tue Feb 14 12:48:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Seif Lotfy (seif) wrote :

Can you send us how much memory and how long you have been using it?

2012/3/5 Philip Colfox <email address hidden>

> I have this very high memory problem on multiple computers. Others are
> 32 bit, but this one seems to be 64.
>
> Linux ubuntu 3.0.0-16-generic #29-Ubuntu SMP Tue Feb 14 12:48:51 UTC
> 2012 x86_64 x86_64 x86_64 GNU/Linux
>
> --
> You received this bug notification because you are subscribed to The
> Zeitgeist Project.
> https://bugs.launchpad.net/bugs/757727
>
> Title:
> Zeitgeist-daemon memory usage skyrockets after dash search
>
> Status in Zeitgeist Extensions:
> New
> Status in “zeitgeist-extensions” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: zeitgeist
>
> The memory usage of the process "zeitgeist-daemon" goes too high after
> doing a couple of searches in the Dash.
>
> It is around 16mb on startup, but after using the Dash a couple of
> time to open some programs, or search for some files, it goes over
> 200mb, some times even over 300mb. The memory is not freed until
> restart or the process is killed.
>
> I attach a screenshot of the system monitor, showing Zeitgeist-daemon
> using over 380mb.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: zeitgeist 0.7.1-1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> Architecture: amd64
> Date: Mon Apr 11 13:28:11 2011
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110330)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=es_AR:en
> LANG=es_AR.UTF-8
> SHELL=/bin/bash
> SourcePackage: zeitgeist
> UpgradeStatus: Upgraded to natty on 2011-04-06 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/zeitgeist-extensions/+bug/757727/+subscriptions
>

Danny (danielpbroadbent) wrote :

Hi,

I am also getting this problem I have a 64bit machine running 6GB RAM, at times this consumes 1.9GB of RAM causing all my programs to freeze, I am using Ubuntu 11.10.

Linux Details:
Linux Kloux 3.0.0-16-generic #29-Ubuntu SMP Tue Feb 14 12:48:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

I am not to sure what is causing this to go so high, if I open up Netbeans 7.1.1 running Java 7 and with Chromium browser opened, it uses up 993.1MB

This was a new download and installation yesterday!

Regards,
Danny

Jos Herni (jos-digiplace) wrote :

After using search in Dash (finding application) memory spikes to 5,9 GiB. That's due to Zeitgeist-fst which is using 4,9 GiB.
System information:
Ubuntu 12.04 Beta 1
3.2.0-20-generic #32-Ubuntu SMP Thu Mar 22 02:22:46 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Intel Core i7 2600 3,4 Ghz
8 GB memory

The strange thing is.. When I check Synaptic for zietgeist-fts than the the status is...it's not installed!

Michal Hruby (mhr3) wrote :

Are any of the affected people using Ubuntu One to synchronize large part of their home directory?

Changed in zeitgeist-extensions:
status: New → Incomplete
Hansen (moteprime) wrote :

I sync +12Gb data, counting +12.000 files, my Zeitgeist normally uses around 200Mb memory.

Lucio M Nicolosi (lmnicolosi) wrote :

Running Oneiric 64 - K 3.0.0-17- Unity - zeitgeist 0.8.2-1 - Ubuntu One sync with about 2.2 GB (not often changed) on an AMD Phenom X4 and 4 GB memory. Zeitgeist-daemon easily skyrockets ocupying up to 2 GB (last time I checked). Right at this moment System is on for the last two hours, mostly in standby mode, pratically no processing, and it is already using 400 MB. It didn't seem to happen a couple of weeks ago. I'm can't figure what might have changed.

Lucio M Nicolosi (lmnicolosi) wrote :

Installed zeitgeist 0.8.99~beta1-1~ppa1 from “Zeitgeist Framework Team” team PPA and zeitgeist-daemon is back to normal (1,2 MB). Still following the behaviour of zeitgeist-fts (now at 195MB).

David Turner (dwt) wrote :

I believe I am affected by this bug. On my system (12.04) my zeitgeist daemon is typically very low (< 5MB), whereas with zeitgeist-fts, after a search in the dash for documents it instantly skyrockets to over 100MB memory.

Jason (jaseeverett) wrote :

zeitgeist-fts is currently sitting at 261 MB for me.

My install is :Linux zoop 3.2.0-25-generic-pae #40-Ubuntu SMP Wed May 23 22:11:24 UTC 2012 i686 i686 i386 GNU/Linux

David Turner (dwt) wrote :

I am wondering if it has anything to do with the music folder?

I just downloaded some music, and now Zeitgeist tends to use 130MB of ram(up from 100MB)

Seif Lotfy (seif) wrote :

I think it mostly due to Ubuntu One cloud putting too many events into
zeitgeist and the fts module catching up on that... We will be releasing a
zeitgeist version that will ignore indexing specific ubuntu-one events

On Thu, Jun 14, 2012 at 3:17 AM, David Turner <email address hidden>wrote:

> I am wondering if it has anything to do with the music folder?
>
> I just downloaded some music, and now Zeitgeist tends to use 130MB of
> ram(up from 100MB)
>
> --
> You received this bug notification because you are subscribed to The
> Zeitgeist Project.
> https://bugs.launchpad.net/bugs/757727
>
> Title:
> Zeitgeist-daemon memory usage skyrockets after dash search
>
> Status in Zeitgeist Extensions:
> Incomplete
> Status in “zeitgeist-extensions” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: zeitgeist
>
> The memory usage of the process "zeitgeist-daemon" goes too high after
> doing a couple of searches in the Dash.
>
> It is around 16mb on startup, but after using the Dash a couple of
> time to open some programs, or search for some files, it goes over
> 200mb, some times even over 300mb. The memory is not freed until
> restart or the process is killed.
>
> I attach a screenshot of the system monitor, showing Zeitgeist-daemon
> using over 380mb.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: zeitgeist 0.7.1-1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> Architecture: amd64
> Date: Mon Apr 11 13:28:11 2011
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110330)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=es_AR:en
> LANG=es_AR.UTF-8
> SHELL=/bin/bash
> SourcePackage: zeitgeist
> UpgradeStatus: Upgraded to natty on 2011-04-06 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/zeitgeist-extensions/+bug/757727/+subscriptions
>

David Turner (dwt) wrote :

That could be. Ubuntu One was also using over 200 mb of ram.

Anyhow, I did discover a way to fix the problem, and it is by simply deleting/renaming .local/share/zeitgeist . I'll see if it crawls it's way back up though. For now though, zeitgeitst-fts is only using around 6 mb of ram :D

J (jsartti) wrote :

@dwt

Estimado David: muchas gracias por tu solución. La buscaba hace tiempo.

cako (goldencako) wrote :

Thanks dwt, that worked for me too.

Letod (leandro-todisco) wrote :

Hi, To fix temporarily this problem, just delete the folder /home/USERNAME/.local/share/zeitgeist
It will solve the problem for a while.

I have the same problem with zeitgeist-fts not zeitgeist-daemon

I am running Ubuntu 12.10 32 bit

Benjamin (nailartcenter) wrote :

Same problem with zeitgeist-fts current 149 mb of ram.

Linux cf 3.2.0-37-generic-pae #58-Ubuntu SMP Thu Jan 24 15:51:02 UTC 2013 i686 i686 i386 GNU/Linux

top - 05:04:58 up 2 days, 9:40, 5 users, load average: 0.24, 0.42, 0.47

After "zeitgeist-daemon --replace &" is decreased to 1,7 MiB.

Péter Trombitás (trombipeti) wrote :

Is there any progress with this? Renaming the mentioned folder solves the issue, but this isn't a solution for this bug.
I can test any patched version on ubuntu 12.04.2.

Seif Lotfy (seif) wrote :

A new Zeitgeist release will be out that will reduce the memory consumption
of Zeitgeist as well as improve the query times by 100% :D

On Tue, Feb 26, 2013 at 1:10 PM, Péter Trombitás <email address hidden>wrote:

> Is there any progress with this? Renaming the mentioned folder solves the
> issue, but this isn't a solution for this bug.
> I can test any patched version on ubuntu 12.04.2.
>
> --
> You received this bug notification because you are subscribed to The
> Zeitgeist Project.
> https://bugs.launchpad.net/bugs/757727
>
> Title:
> Zeitgeist-daemon memory usage skyrockets after dash search
>
> Status in Zeitgeist Extensions:
> Incomplete
> Status in “zeitgeist-extensions” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: zeitgeist
>
> The memory usage of the process "zeitgeist-daemon" goes too high after
> doing a couple of searches in the Dash.
>
> It is around 16mb on startup, but after using the Dash a couple of
> time to open some programs, or search for some files, it goes over
> 200mb, some times even over 300mb. The memory is not freed until
> restart or the process is killed.
>
> I attach a screenshot of the system monitor, showing Zeitgeist-daemon
> using over 380mb.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: zeitgeist 0.7.1-1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> Architecture: amd64
> Date: Mon Apr 11 13:28:11 2011
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110330)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=es_AR:en
> LANG=es_AR.UTF-8
> SHELL=/bin/bash
> SourcePackage: zeitgeist
> UpgradeStatus: Upgraded to natty on 2011-04-06 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/zeitgeist-extensions/+bug/757727/+subscriptions
>

alecive (alecive) wrote :

Hi Seif,

I have the problem as well (on Ubuntu 12.04). Only two points though:

0. The memory consumption comes from zeitgeist-fts rather than zeitgeist-daemon as a couple of guys here signaled

1. I never used Ubuntu One (no need), so I don't know if this can be an useful information

2. What ppa are you talking about? I'm eager to solve this issue as soon as possible!

Thanks,

Alessandro

Seif Lotfy (seif) wrote :

So guys
Just 2 days ago we managed to push a really big improvment.
now the zeitgeist-daemon running here since 3 days did not exceed 3.4 MB of
memory
however zeitgeist-fts still skyrockets :( I am looking into that now I
think the same fix in sqlite could apply
Cheers
Seif

On Mon, Mar 4, 2013 at 6:32 PM, alecive <email address hidden> wrote:

> Hi Seif,
>
> I have the problem as well (on Ubuntu 12.04). Only two points though:
>
> 0. The memory consumption comes from zeitgeist-fts rather than
> zeitgeist-daemon as a couple of guys here signaled
>
> 1. I never used Ubuntu One (no need), so I don't know if this can be an
> useful information
>
> 2. What ppa are you talking about? I'm eager to solve this issue as soon
> as possible!
>
> Thanks,
>
> Alessandro
>
> --
> You received this bug notification because you are subscribed to The
> Zeitgeist Project.
> https://bugs.launchpad.net/bugs/757727
>
> Title:
> Zeitgeist-daemon memory usage skyrockets after dash search
>
> Status in Zeitgeist Extensions:
> Incomplete
> Status in “zeitgeist-extensions” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: zeitgeist
>
> The memory usage of the process "zeitgeist-daemon" goes too high after
> doing a couple of searches in the Dash.
>
> It is around 16mb on startup, but after using the Dash a couple of
> time to open some programs, or search for some files, it goes over
> 200mb, some times even over 300mb. The memory is not freed until
> restart or the process is killed.
>
> I attach a screenshot of the system monitor, showing Zeitgeist-daemon
> using over 380mb.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: zeitgeist 0.7.1-1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> Architecture: amd64
> Date: Mon Apr 11 13:28:11 2011
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110330)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=es_AR:en
> LANG=es_AR.UTF-8
> SHELL=/bin/bash
> SourcePackage: zeitgeist
> UpgradeStatus: Upgraded to natty on 2011-04-06 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/zeitgeist-extensions/+bug/757727/+subscriptions
>

Thanks so much for looking into this. <3 zeitgeist

Ali Najafi (alinajafi) wrote :

I’m using 13.04 daily for months, but recently (less than a week) effected with this bug.
"zeitgeist-fts" eats about 300 MB (15%) of RAM once I open Dash. Other zeitgeist processes are less than 5 MB.

Seif Lotfy (seif) wrote :

hey ali can you try the following

zeitgeist-daemon --quit && rm -r ~/.local/share/zeitgeist/fts.index

then run zeitgeist again
zeitgeist-daemon --replace

On Mon, Apr 22, 2013 at 6:32 AM, Ali Najafi <email address hidden> wrote:

> I’m using 13.04 daily for months, but recently (less than a week) effected
> with this bug.
> "zeitgeist-fts" eats about 300 MB (15%) of RAM once I open Dash. Other
> zeitgeist processes are less than 5 MB.
>
> --
> You received this bug notification because you are subscribed to The
> Zeitgeist Project.
> https://bugs.launchpad.net/bugs/757727
>
> Title:
> Zeitgeist-daemon memory usage skyrockets after dash search
>
> Status in Zeitgeist Extensions:
> Incomplete
> Status in “zeitgeist-extensions” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: zeitgeist
>
> The memory usage of the process "zeitgeist-daemon" goes too high after
> doing a couple of searches in the Dash.
>
> It is around 16mb on startup, but after using the Dash a couple of
> time to open some programs, or search for some files, it goes over
> 200mb, some times even over 300mb. The memory is not freed until
> restart or the process is killed.
>
> I attach a screenshot of the system monitor, showing Zeitgeist-daemon
> using over 380mb.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: zeitgeist 0.7.1-1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> Architecture: amd64
> Date: Mon Apr 11 13:28:11 2011
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110330)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=es_AR:en
> LANG=es_AR.UTF-8
> SHELL=/bin/bash
> SourcePackage: zeitgeist
> UpgradeStatus: Upgraded to natty on 2011-04-06 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/zeitgeist-extensions/+bug/757727/+subscriptions
>

parq (pablo-romeroquinteros) wrote :

@Seif,

It seems to solve the memory usage problem, but the results of searching in the dash are few.

See you...

Michele (michele.m) wrote :

Hi,
@Seif, unfortunately it doesn't solve the problem for me. zeitgeist-fts after your two commands comes back to ~230MB.
Thanks anyway.
Michele

Péter Trombitás (trombipeti) wrote :

For me, removing the .local/share/zeitgeist directory doesn't work, zeitgeist-fts now uses around 90 MB of memory even though I deleted that direcotry (It seems to recreate it)

Seif Lotfy (seif) wrote :

We are looking into rewriting FTS :D
We have a student workin on libqzeitgeist2 this year and since its C++ he
will be looking at the FTS module :D

On Fri, Jun 7, 2013 at 10:13 AM, Péter Trombitás <email address hidden>wrote:

> For me, removing the .local/share/zeitgeist directory doesn't work,
> zeitgeist-fts now uses around 90 MB of memory even though I deleted that
> direcotry (It seems to recreate it)
>
> --
> You received this bug notification because you are subscribed to The
> Zeitgeist Project.
> https://bugs.launchpad.net/bugs/757727
>
> Title:
> Zeitgeist-daemon memory usage skyrockets after dash search
>
> Status in Zeitgeist Extensions:
> Incomplete
> Status in “zeitgeist-extensions” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: zeitgeist
>
> The memory usage of the process "zeitgeist-daemon" goes too high after
> doing a couple of searches in the Dash.
>
> It is around 16mb on startup, but after using the Dash a couple of
> time to open some programs, or search for some files, it goes over
> 200mb, some times even over 300mb. The memory is not freed until
> restart or the process is killed.
>
> I attach a screenshot of the system monitor, showing Zeitgeist-daemon
> using over 380mb.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: zeitgeist 0.7.1-1
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> Architecture: amd64
> Date: Mon Apr 11 13:28:11 2011
> InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Beta amd64 (20110330)
> PackageArchitecture: all
> ProcEnviron:
> LANGUAGE=es_AR:en
> LANG=es_AR.UTF-8
> SHELL=/bin/bash
> SourcePackage: zeitgeist
> UpgradeStatus: Upgraded to natty on 2011-04-06 (4 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/zeitgeist-extensions/+bug/757727/+subscriptions
>

Achim Behrens (k1l) wrote :

im on 13.10 and since some days zeitgeist-fts is using more than 1GB ram and slowing that system down. after killing zeitgeist-fts all is back to normal. i dont know what causes this

parq (pablo-romeroquinteros) wrote :

It's a good news to know that someone is working on it!

flux (luigimarco) wrote :

In my 13.10 zeitgeist-fts is using 390-400Mb RAM as 13.04!

Anders Hall (a.hall) wrote :

I can confirm this in 13.10. Often when using dash some race condition occurs and the whole unity interface gets distorted with a logoff through terminal only solution. My zeitgeist-fts starts at 140 mb and goes up depending on what task i perform on my desktop.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers